org.apache.catalina.core

## Class ContainerBase.ContainerBackgroundProcessor

- java.lang.Object
- - org.apache.catalina.core.ContainerBase.ContainerBackgroundProcessor

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    ContainerBase

      protected class ContainerBase.ContainerBackgroundProcessor
      extends Object
      implements Runnable

  Private runnable class to invoke the backgroundProcess method of this container and its children after a fixed delay.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContainerBase.ContainerBackgroundProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processChildren(Container container)`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContainerBase.ContainerBackgroundProcessor

          protected ContainerBase.ContainerBackgroundProcessor()

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### processChildren

          protected void processChildren(Container container)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.